> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create CRM Deal

> Create a CRM deal.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/bot/crm/deals
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: User Memory
    description: Operations for managing per-user memory entries
  - name: Email
    description: Operations for managing agent email functionality
  - name: Triggers
    description: Operations for firing proactive agent trigger events
  - name: CRM
    description: >-
      Operations for managing agent CRM contacts, pipelines, deals, follow-ups,
      and reports
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Calendar
    description: Operations for managing agent calendar settings, availability, and events
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/crm/deals:
    post:
      tags:
        - CRM
      summary: Create CRM Deal
      description: Create a CRM deal.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - project_id
                - bot_id
              additionalProperties: true
              properties:
                project_id:
                  type: string
                bot_id:
                  type: string
                title:
                  type: string
                status:
                  type: string
                  enum:
                    - open
                    - won
                    - lost
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  deal:
                    $ref: '#/components/schemas/CrmDeal'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CrmDeal:
      type: object
      additionalProperties: true
      properties:
        uuid:
          type: string
        title:
          type: string
        value:
          type: number
        currency:
          type: string
        status:
          type: string
          enum:
            - open
            - won
            - lost
        contact:
          $ref: '#/components/schemas/CrmContact'
        stage:
          $ref: '#/components/schemas/CrmPipelineStage'
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
    CrmContact:
      type: object
      additionalProperties: true
      properties:
        uuid:
          type: string
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        status_label:
          type: string
          nullable: true
        fields:
          type: object
          additionalProperties: true
        summary:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
    CrmPipelineStage:
      type: object
      additionalProperties: true
      properties:
        uuid:
          type: string
        name:
          type: string
        closed_status:
          type: string
          enum:
            - open
            - won
            - lost
        probability:
          type: integer
        sort_order:
          type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````